services:

  wag_management_auth_service:
    container_name: wag_management_auth_service
#    restart: on-failure
    build:
      context: .
      dockerfile: ApiServices/AuthService/Dockerfile
    ports:
      - "1111:41575"
    environment:
      - PYTHONPATH=/service_app
    volumes:
      - auth_venv:/service_app/.venv
      - auth_logs:/service_app/logs

  wag_management_event_service:
    container_name: wag_management_event_service
#    restart: on-failure
    build:
      context: .
      dockerfile: ApiServices/EventService/Dockerfile
    ports:
      - "1112:41575"
    environment:
      - PYTHONPATH=/service_app
    volumes:
      - event_venv:/service_app/.venv
      - event_logs:/service_app/logs

  wag_management_validation_service:
    container_name: wag_management_validation_service
#    restart: on-failure
    build:
      context: .
      dockerfile: ApiServices/ValidationService/Dockerfile
    ports:
      - "1113:41575"
    environment:
      - PYTHONPATH=/service_app
    volumes:
      - validation_venv:/service_app/.venv
      - validation_logs:/service_app/logs

#  wag_management_init_service:
#    container_name: wag_management_init_service
#    build:
#      context: .
#      dockerfile: service_app_init/Dockerfile

volumes:
  auth_venv:
  event_venv:
  validation_venv:
  auth_logs:
  event_logs:
  validation_logs:
